summaryrefslogtreecommitdiffstats
path: root/jjb/dmm/include-raw-dmm-test-checkstyle.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/dmm/include-raw-dmm-test-checkstyle.sh')
-rw-r--r--jjb/dmm/include-raw-dmm-test-checkstyle.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/jjb/dmm/include-raw-dmm-test-checkstyle.sh b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
new file mode 100644
index 000000000..90b307141
--- /dev/null
+++ b/jjb/dmm/include-raw-dmm-test-checkstyle.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2018 Huawei Technologies Co.,Ltd.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if grep 'checkstyle' CMakeLists.txt > /dev/null
+then
+ cd build/
+ cmake ..
+ make checkstyle
+ if [ $? -eq 0 ]; then
+ echo "DMM checkstyle is SUCCESS"
+ else
+ echo "DMM checkstyle has FAILED"
+ exit 1
+ fi
+else
+ echo "Can't find checkstyle target in CMakeLists.txt- skipping test checkstyle"
+ exit 1
+fi \ No newline at end of file